<div class="flex flex-col flex-auto w-full bg-forcewhite" style="background-color: #F8F8F8;">

    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="backButton()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div class="flex flex-row flex-wrap items-center justify-center mx-auto -mx-6">
        <div class="flex flex-col mx-6 my-3">
            <div class="font-Semibold-40 text-indigo-900 mt-5 mb-5" style="text-align:center !important;">
                <div>Top Up</div>
            </div>
        </div>
    </div>

    <div class="flex flex-col items-center sm:justify-center min-w-0">

        <div class="w-full mx-auto mb-10 shadow bg-white box-width" style="max-width: 491px ;box-shadow: 0px 0px 6px #0000001A;
        ">
            <!-- Main -->
            <div class="w-full sm:mx-0">

                <!-- CONTENT GOES HERE -->
                <form action="" class="md:container md:mx-auto" [formGroup]="cashWalletTopupForm"
                    #cashWalletTopupNgForm="ngForm">

                    <div class="">

                        <div class="relative flex flex-col flex-auto items-center justify-center my-5">
                            <div class="font-Medium-18 mb-2 font-7B7B7B">Cash Wallet Balance</div>
                            <div class="font-Medium-18 font-333">RM{{ availAmount | number:'1.2-2' }}</div>
                        </div>


                        <div class="fflex flex-col sm:mx-6 my-3 sm:px-15">
                            <div class="mt-2 font-medium text-3xl leading-none">
                                <div class="form-group">
                                    <div class="flex items-center mb-4">
                                        <div class="flex-auto mt-px border-t"></div>
                                    </div>
                                    <div>
                                        <mat-form-field class="w-11/12 text-center" appearance="fill">
                                            <span matPrefix class="font-Semibold-18 text-center"
                                                style="color: #333333 !important;">RM</span>
                                            <input id="price" type="number" matInput [formControlName]="'price'"
                                                [(ngModel)]="inputAmount" placeholder="0.00" required>
                                            <mat-error *ngIf="cashWalletTopupForm.get('price').hasError('required')">You
                                                must enter a value</mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>
                            </div>
                            <div class="text-divider font-Medium-14" style="color: #7B7B7B;">or</div><br>
                            <div class="font-Medium-16 mb-5 font-7B7B7B">Select your preferred amount</div>
                            <div class="space-x-2">
                                <button mat-flat-button class="button-r5-tier font-Regular-20 button-r5-tier-mobile"
                                    color="primary" style="background-color: #BFD3FF; color: #141461;"
                                    (click)="selectAmount(10)">10</button>
                                <button mat-flat-button class="button-r5-tier font-Regular-20 button-r5-tier-mobile"
                                    color="primary" style="background-color: #BFD3FF; color: #141461;"
                                    (click)="selectAmount(50)">50</button>
                                <button mat-flat-button class="button-r5-tier font-Regular-20 button-r5-tier-mobile"
                                    color="primary" style="background-color: #BFD3FF; color: #141461;"
                                    (click)="selectAmount(100)">100</button>
                                <button mat-flat-button class="button-r5-tier font-Regular-20 button-r5-tier-mobile "
                                    color="primary" style="background-color: #BFD3FF; color: #141461;"
                                    (click)="selectAmount(200)">200</button>
                            </div><br>
                            <div>
                                <mat-card class="mt-3 mb-3" style="box-shadow: none;">
                                    <mat-card-content class="font-Regular-14"
                                        style="line-height: 1.5; background-color: #F3F6FD; color: #7B7B7B;">
                                        Top-up fee of <b>{{setupFees | number:'1.2-2'}}{{setupUom}}</b> of the total
                                        transaction will be applied.
                                        <ul class="list-disc ml-4">
                                            <li>
                                                Minimum fee: <b>RM0.10</b> per transaction
                                            </li>
                                            <li>
                                                Maximum fee: <b>RM1.50</b> per transaction
                                            </li>
                                        </ul>
                                    </mat-card-content>
                                </mat-card>
                            </div><br>
                            <div class="relative flex flex-col flex-auto items-center w-auto mb-7 ">
                                <button class="w-full button-r5" style="padding: 27px !important; box-shadow: none;"
                                    [color]="'primary'" mat-raised-button (click)="topupMethod()"
                                    [disabled]="cashWalletTopupForm.disabled">
                                    <span *ngIf="!cashWalletTopupForm.disabled" class="font-Semibold-14">Continue</span>
                                </button>
                            </div>
                        </div>

                    </div>
                </form>

            </div>

        </div>
    </div>
</div>